IBCHECKERRS(8)

NAME
ibcheckerrs - validate IB port (or node) and report errors in counters above threshold

SYNOPSIS
ibcheckerrs [-h] [-b] [-v] [-G] [-T <threshold_file>] [-s(how_thresholds)] [-N | -nocolor] [-C ca_name] [-P ca_port] [-t(imeout) timeout_ms] <lid|guid> <port>

DESCRIPTION

Check specified port (or node) and report errors that surpassed their predefined threshold. Port address is lid unless -G option is used to specify a GUID address. The predefined thresholds can be dumped using the -s option, and a user defined threshold_file (using the same format as the dump) can be specified using the -t <file> option.

OPTIONS

-G use GUID address argument. In most cases, it is the Port GUID.
        Example:
        "0x08f1040023"

-s show predefined thresholds

-T use specified threshold file

-v increase the verbosity level

-b brief mode. Reduce the output to show only if errors are
        present, not what they are.

-N | -nocolor use mono rather than color mode

-C <ca_name> use the specified ca_name.

-P <ca_port> use the specified ca_port.

-t <timeout_ms> override the default timeout for the solicited mads.

EXAMPLE

ibcheckerrs 2 # check aggregated node counter for lid 2

ibcheckerrs 2 4 # check port counters for lid 2 port 4

ibcheckerrs -T xxx 2 # check node using xxx threshold file

SEE ALSO
perfquery(8), ibaddr(8)

AUTHOR

Hal Rosenstock
    <halr@voltaire.com>